<xml xmlns="http://www.w3.org/1999/xhtml">
  <variables>
    <variable type="" id="7fy{L`*0dAN7Z|`H=H7j">b</variable>
    <variable type="" id="N[b8n$6#IbwPeKc88R%d">a</variable>
  </variables>
  <block type="mpython_display_fill" id="{V,;;,X?5e^WoBJponE3" x="-16" y="-16">
    <field name="display_fill">fill(0)</field>
    <next>
      <block type="controls_repeat_forever" id="jHK*GE-WwA(8kXLMCt_Y">
        <statement name="DO">
          <block type="mpython_clear_dispchar_5lines" id="GC#R(dbD]%(~M%B){g_H">
            <value name="DispChar_5lines">
              <shadow type="mpython_4_lines" id="j)?kF^xuH%3GIcQ87~j,">
                <field name="mpython_4_lines">0</field>
              </shadow>
            </value>
            <next>
              <block type="mpython_display_DispChar_5lines" id="GO1+LCi3yv%/16*4az;.">
                <field name="TEXTMODE">1</field>
                <value name="DispChar_5lines">
                  <shadow type="mpython_4_lines" id="bCF]uCOl3Au%nwa,)0$#">
                    <field name="mpython_4_lines">0</field>
                  </shadow>
                </value>
                <value name="message">
                  <shadow type="text" id=".M#nh$!`/nfVO=]fZ4FC">
                    <field name="TEXT">Hello, world!</field>
                  </shadow>
                  <block type="text_join" id="TAZg!Ta0Tq|P[7).s5zF">
                    <mutation items="2"></mutation>
                    <value name="ADD0">
                      <block type="text" id="l/`dgmZU0_-vB=XN2!z?">
                        <field name="TEXT">倾斜角x：</field>
                      </block>
                    </value>
                    <value name="ADD1">
                      <block type="math_convert" id="C)7o;/7#j#_N?,U1zIS@">
                        <field name="TYPE0">int</field>
                        <value name="INPUT0">
                          <block type="mpython_tilt_angle" id="=?Ry;+0WN5j8D_E%R2@5">
                            <field name="axis">X</field>
                          </block>
                        </value>
                      </block>
                    </value>
                  </block>
                </value>
                <next>
                  <block type="variables_set" id="ao;H`!+MFb9P7p#]Y-T1">
                    <field name="VAR" id="7fy{L`*0dAN7Z|`H=H7j" variabletype="">b</field>
                    <value name="VALUE">
                      <block type="mpython_bluebit_ultrasonic" id="Q*q_%vWm}mç.dD9:Fi"></block>
                    </value>
                    <next>
                      <block type="mpython_clear_dispchar_5lines" id="p,ghAAexp]Rih}JwZ+Sk">
                        <value name="DispChar_5lines">
                          <shadow type="mpython_4_lines" id="mb#kD|sKZNTXe3(hLDEe">
                            <field name="mpython_4_lines">16</field>
                          </shadow>
                        </value>
                        <next>
                          <block type="mpython_display_DispChar_5lines" id="D*O!-%D%(bHiikVCJtGJ">
                            <field name="TEXTMODE">1</field>
                            <value name="DispChar_5lines">
                              <shadow type="mpython_4_lines" id="F{%;@np{+BEm^ziDsfRQ">
                                <field name="mpython_4_lines">16</field>
                              </shadow>
                            </value>
                            <value name="message">
                              <shadow type="text" id="/UXB[(}7aXoXf4)_s6R?">
                                <field name="TEXT">Hello, world!</field>
                              </shadow>
                              <block type="text_join" id="wx{Rcn2@U#.J^Zk9;i[^">
                                <mutation items="2"></mutation>
                                <value name="ADD0">
                                  <block type="text" id=";J:!_g5Zo)[F:*Cm$s(P">
                                    <field name="TEXT">距离b：</field>
                                  </block>
                                </value>
                                <value name="ADD1">
                                  <block type="math_convert" id="-ie.:a3J]J7L24tQ!Ct@">
                                    <field name="TYPE0">int</field>
                                    <value name="INPUT0">
                                      <block type="variables_get" id="E(7zxq}=?0(e(XAvXw!o">
                                        <field name="VAR" id="7fy{L`*0dAN7Z|`H=H7j" variabletype="">b</field>
                                      </block>
                                    </value>
                                  </block>
                                </value>
                              </block>
                            </value>
                            <next>
                              <block type="variables_set" id="fU-S.ONK,gkyjHi8`|`:">
                                <field name="VAR" id="N[b8n$6#IbwPeKc88R%d" variabletype="">a</field>
                                <value name="VALUE">
                                  <block type="math_arithmetic" id="%zcn1x-tt}hoC]yWT#q?">
                                    <field name="OP">MULTIPLY</field>
                                    <value name="A">
                                      <shadow type="math_number" id="Dn%$m/D8:DW%~DjJec1%">
                                        <field name="NUM">1</field>
                                      </shadow>
                                      <block type="variables_get" id="J6^].=-SfrQ2l7s,:))5">
                                        <field name="VAR" id="7fy{L`*0dAN7Z|`H=H7j" variabletype="">b</field>
                                      </block>
                                    </value>
                                    <value name="B">
                                      <shadow type="math_number" id="|d{1XW)X~aQ;hD+uGGk%">
                                        <field name="NUM">1</field>
                                      </shadow>
                                      <block type="math_trig" id="vT,Gm~abzI%iNl}fR;u^">
                                        <field name="OP">TAN</field>
                                        <value name="NUM">
                                          <shadow type="math_angle" id="maCxC1G8^.3T|4I)i~3S">
                                            <field name="angle">45</field>
                                          </shadow>
                                          <block type="mpython_tilt_angle" id="%VJWSVmF;FGi4@MQm`^;">
                                            <field name="axis">X</field>
                                          </block>
                                        </value>
                                      </block>
                                    </value>
                                  </block>
                                </value>
                                <next>
                                  <block type="mpython_clear_dispchar_5lines" id="pZXhCd,MgWr4@Kxn]H5b">
                                    <value name="DispChar_5lines">
                                      <shadow type="mpython_4_lines" id="PHiD+ID4W;+@+nD9.%6H">
                                        <field name="mpython_4_lines">32</field>
                                      </shadow>
                                    </value>
                                    <next>
                                      <block type="mpython_display_DispChar_5lines" id="xl.8/kKraNo=MO{lOtAA">
                                        <field name="TEXTMODE">1</field>
                                        <value name="DispChar_5lines">
                                          <shadow type="mpython_4_lines" id="%rvF)/|PcjCeE757Q:G#">
                                            <field name="mpython_4_lines">32</field>
                                          </shadow>
                                        </value>
                                        <value name="message">
                                          <shadow type="text" id="{@W--?2L2VtA8}JNtC3!">
                                            <field name="TEXT">Hello, world!</field>
                                          </shadow>
                                          <block type="text_join" id="$eSmU|rgK+Ati3C42N_%">
                                            <mutation items="2"></mutation>
                                            <value name="ADD0">
                                              <block type="text" id="nT:7|Z8vY-#++KaN,=UR">
                                                <field name="TEXT">高度a：</field>
                                              </block>
                                            </value>
                                            <value name="ADD1">
                                              <block type="math_convert" id="_4j*(8Nm8WcOIr*^p=u,">
                                                <field name="TYPE0">int</field>
                                                <value name="INPUT0">
                                                  <block type="variables_get" id="1jZbV@i7M/Kq+p#c-Í">
                                                    <field name="VAR" id="N[b8n$6#IbwPeKc88R%d" variabletype="">a</field>
                                                  </block>
                                                </value>
                                              </block>
                                            </value>
                                          </block>
                                        </value>
                                        <next>
                                          <block type="mpython_display_Show" id="sfz+a(J%)Oh;ntj9H/p_"></block>
                                        </next>
                                      </block>
                                    </next>
                                  </block>
                                </next>
                              </block>
                            </next>
                          </block>
                        </next>
                      </block>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </statement>
      </block>
    </next>
  </block>
</xml>